class MinotaurGuard extends Humanoid {
    constructor () {
        super({
            isMale : true,
            name : "Minotaur",
            description : new Say(
                "This gigantic man is entirely covered with brown fur and has the head of a bull, horns and all. ",
                "Standing tall at over ", new Measure(250), " tall and packing an unbelievable amount of muscle, this is obviously someone not to be messed with. ",
                "The only clothing he wears, if it can be called that, is a black, leather loincloth, which only covers the front — his bull-like tail hanging freely.",
                Say.LINE_BREAK,
                "He wields an axe even taller than himself and holds a serious face, yet there is a tinge of kindness in his eyes."
            ),
            unique: true
        });

        this.setStat(Attributes.Strength, 5);
        this.setStat(Attributes.Agility, 2);
        this.setStat(Attributes.Intelligence, 4);
        this.setStat(Attributes.Charm, 3);
        this.setGenderValue(0);
        this.AI.wanderer = false;

        let myLoincloth = new FrontalLeatherLoincloth();
        this.setWorn(myLoincloth);
    }

    public static AgreedToDuel = new StoredVariable({id: "Agreed to duel with the minotaur", value: false});
    public static BestedMinotaur = new StoredVariable({id: "Bested the Minotaur", value: false});
    public static AgreedToSex = new StoredVariable({id: "Agreed to Ride the Bull", value: false});

    public static isMadeNoChoice() {
        return !MinotaurGuard.AgreedToDuel.value && !MinotaurGuard.AgreedToSex.value && !MinotaurGuard.BestedMinotaur.value;
    }
}
//paddedBra = new Clothing({name : "Padded Bra", unique : true});
// paddedBra.breastPadding = 3;
// paddedBra.slots = [Humanoid.SLOT_BREASTS];
class FrontalLeatherLoincloth extends Clothing {
    constructor() {
        super({name : "Frontal Leather Loincloth", description: new Say("This is a black leather loincloth that ties around your waist, but only has frontal cover.")});
        this.slots = [Humanoid.SLOT_CROTCH_FRONT, Humanoid.SLOT_HIPS];
        this.sluttinessValue = 25;
    }
}